Bug 1380983 - Package metadata for perl-Gtk2-Unique lists the wrong URL, and the package itself is apparently deprecated.
Summary: Package metadata for perl-Gtk2-Unique lists the wrong URL, and the package it...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Gtk2-Unique
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-02 02:28 UTC by Andrew Toskin
Modified: 2019-11-01 03:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-01 03:55:46 UTC


Attachments (Terms of Use)

Description Andrew Toskin 2016-10-02 02:28:57 UTC
Hello, liangsuilong

This is a fairly minor problem, but the package metadata for perl-Gtk2-Unique is out-of-date. It currently lists the project's URL as

  https://live.gnome.org/LibUnique.

but GNOME no longer uses the "live" subdomain; requests now get redirected to the wiki. The newer equivalent URL is

  https://wiki.gnome.org/Attic/LibUnique

...but that page says libunique is deprecated and offers a link to the GtkApplication porting guide.

(I'm filing this same bug report for multiple packages, so I apologize if you see this issue twice.)

Comment 1 Fedora End Of Life 2017-02-28 10:23:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Andrew Toskin 2018-02-23 22:24:18 UTC
perl-Gtk2-Unique and perl-Gtk2-Unique-devel still use the old live.gnome.org domain.

I wondered briefly if maybe the package should just be removed, if upstream isn't developing it anymore. From a quick dnf repoquery, it seems only pacmanager still requires perl-Gtk2-Unique, and nothing seems to require the -devel package. But I'm not sure whether or how much pacmanager is still used.

At the very least, it would still make sense to update the package URL, as I noted in my original comment.

Comment 3 Jan Kurik 2018-08-14 10:21:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Emmanuel Seyman 2019-06-06 19:32:06 UTC
I've submitted a pull-request to do this.

Comment 5 Ben Cotton 2019-10-31 19:10:59 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Andrew Toskin 2019-11-01 03:55:46 UTC
URL was updated at some point to Meta CPAN. Belated thanks!


Note You need to log in before you can comment on or make changes to this bug.